
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * genManipType.h:     La SDI_F de genManip
 *
 * Utilise par le module et par les clients
 * (inclut dans genManipMsgLib.h et genManipPosterLib.h)
 * 
 */

#ifndef genManip_TYPE_H
#define genManip_TYPE_H

#include "genom/modules.h"
#include "genManipError.h"

/* Nombre de tache d'execution de ce module */
#define GENMANIP_NB_EXEC_TASK                   (0)


#endif
#ifndef genManip_TYPE1_H
#define genManip_TYPE1_H

#include "/opt/openrobots/include/genBasic/genBasicStruct.h"
#include "/opt/openrobots/include/gbM/gbManip.h"
#include "/opt/openrobots/include/gbM/gbGENOM.h"
#include "/opt/openrobots/include/gbM/gbStruct.h"
#include "genManipStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct GENMANIP_STR {
	GENMANIP_ON_OFF_ENUM onOffEnum;
	GENMANIP_COLLISION_STATE_ENUM collisionStateEnum;
	GENMANIP_COLLISION_STATE_STR collisionStateStr;
	GENMANIP_POSITION_TRACK_STR positionTrackStr;
	GENMANIP_POSITION_STR positionStr;
	GENMANIP_CONFIG config;
	GENMANIP_DOF dof;
	GENMANIP_MOTION_STR motionStr;
	GENMANIP_SET_POSITION_STR setPositionStr;
	GENMANIP_SET_ORIENTATION_STR setOrientationStr;
	GENMANIP_SET_POSE_STR setPoseStr;
	GENMANIP_FORCE_EVENT_STR forceEventStr;
	GENMANIP_TRAJ7_TRACK_STR traj7TrackStr;
	GENMANIP_MOUSE3D_STR mouse3dStr;
	GENMANIP_POSITION_ARM_SAHAND_TRACK_STR positionArmSAHandTrackStr;
	GENMANIP_POSITION_SAHAND_STR positionSAHandStr;
	GENMANIP_SAHAND_STR sahandStr;
	GENMANIP_POSE_STR poseStr;
} GENMANIP_STR;


#endif

